/**
 * Copyright  Sergey Melnik (Stanford University, Database Group)
 *
 * All Rights Reserved.
 */

package edu.stanford.db.rdf.model.i;

import org.w3c.rdf.model.*;
import org.w3c.rdf.util.*;
//import org.w3c.rdf.implementation.model.ModelImpl;

/**
 * An implementation of the RDFFactory interface.
 *
 * @author Sergey Melnik <melnik@db.stanford.edu>
 */

public class RDFFactoryImpl extends org.w3c.rdf.util.RDFFactoryImpl {

  // custom node factory
  //  NodeFactory nodeFactory = new Registry();

  public Model createModel() {

    return new ModelImpl(); //nodeFactory);
  }
}
